PROMETHEUS-PGBACKREST-EXPORTER(1)

NAME
prometheus-pgbackrest-exporter - Prometheus exporter for PgBackRest

SYNOPSIS

prometheus-pgbackrest-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--web.telemetry-path
    Path under which to expose metrics.

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9854
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--collect.interval=600
    Collecting metrics interval in seconds.

--backrest.config
    Full path to pgBackRest configuration file.

--backrest.config-include-path
    Full path to additional pgBackRest configuration files.

--backrest.stanza-include
    Specific stanza for collecting metrics. Can be specified several times.

--backrest.stanza-exclude
    Specific stanza to exclude from collecting metrics. Can be specified several times.

--backrest.backup-type
    Specific backup type for collecting metrics. One of: [full, incr, diff].

--backrest.database-count
    Exposing the number of databases in backups.

--backrest.database-parallel-processes=1
    Number of parallel processes for collecting information about databases.

--backrest.database-count-latest
    Exposing the number of databases in the latest backups.

--backrest.reference-count
    Exposing the number of references to other backups (backup reference list).

--backrest.verbose-wal
    Exposing additional labels for WAL metrics.

--collector.pgbackrest
    Enable pgBackRest collector. When disabled, only pgBackRest version and exporter build info are collected.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.